Data - Retrieve SLA Data
Haalt SLA-gegevens op voor de opgegeven SLA-aanvraag
POST http://<Servername>/OperationsManager/data/sla
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Vereist | Type | Description |
|---|---|---|---|
| duration | True |
string |
duur |
| id | True |
string |
identiteitskaart |
| managementGroupId | True |
string |
ID van beheergroep |
| value | True |
integer |
waarde |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. Succesvol opgehaalde SLA gegevens. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveSLAData
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/sla
{
"value": 0,
"duration": "10",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"managementGroupId": "47bc8393-fecb-9791-4b3d-fdca7cc8bc79"
}
Voorbeeldrespons
{
"name": "Application Service SLA",
"id": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"slaManagedEntityRowId": 141,
"slos": [
{
"id": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"name": "Application Service SLO1",
"targetClassName": "Service"
}
]
}
Definities
| Name | Description |
|---|---|
| SLARequest | |
| SLAResponse | |
| SLOResponse |
SLARequest
| Name | Type | Description |
|---|---|---|
| duration |
string |
duur |
| id |
string |
identiteitskaart |
| managementGroupId |
string |
ID van beheergroep |
| value |
integer |
waarde |
SLAResponse
| Name | Type | Description |
|---|---|---|
| id |
string |
SLA-ID |
| name |
string |
SLA-naam |
| slaManagedEntityRowId |
integer |
Rij-id van SLA voor beheerde entiteiten |
| slos |
SLO-gegevens |
SLOResponse
| Name | Type | Description |
|---|---|---|
| id |
string |
SLO-ID |
| name |
string |
SLO-naam |
| targetClassName |
string |
Naam van SLO-doelklasse |